
package br.edu.up.ws;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "UrnaWSImplService", targetNamespace = "http://ws.up.edu.br/", wsdlLocation = "http://localhost:8080/urna/ws-soap?wsdl")
public class UrnaWSImplService
    extends Service
{

    private final static URL URNAWSIMPLSERVICE_WSDL_LOCATION;
    private final static WebServiceException URNAWSIMPLSERVICE_EXCEPTION;
    private final static QName URNAWSIMPLSERVICE_QNAME = new QName("http://ws.up.edu.br/", "UrnaWSImplService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://localhost:8080/urna/ws-soap?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        URNAWSIMPLSERVICE_WSDL_LOCATION = url;
        URNAWSIMPLSERVICE_EXCEPTION = e;
    }

    public UrnaWSImplService() {
        super(__getWsdlLocation(), URNAWSIMPLSERVICE_QNAME);
    }

    public UrnaWSImplService(WebServiceFeature... features) {
        super(__getWsdlLocation(), URNAWSIMPLSERVICE_QNAME, features);
    }

    public UrnaWSImplService(URL wsdlLocation) {
        super(wsdlLocation, URNAWSIMPLSERVICE_QNAME);
    }

    public UrnaWSImplService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, URNAWSIMPLSERVICE_QNAME, features);
    }

    public UrnaWSImplService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public UrnaWSImplService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns UrnaWS
     */
    @WebEndpoint(name = "UrnaWSImplPort")
    public UrnaWS getUrnaWSImplPort() {
        return super.getPort(new QName("http://ws.up.edu.br/", "UrnaWSImplPort"), UrnaWS.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns UrnaWS
     */
    @WebEndpoint(name = "UrnaWSImplPort")
    public UrnaWS getUrnaWSImplPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://ws.up.edu.br/", "UrnaWSImplPort"), UrnaWS.class, features);
    }

    private static URL __getWsdlLocation() {
        if (URNAWSIMPLSERVICE_EXCEPTION!= null) {
            throw URNAWSIMPLSERVICE_EXCEPTION;
        }
        return URNAWSIMPLSERVICE_WSDL_LOCATION;
    }

}
